Summary:	LaTeX editor
Name:		texmaker
Version:	1.9.2
Release:	2%{?dist}
Epoch:		1
License:	GPLv2+
Group:		Applications/Publishing
URL:		http://www.xm1math.net/texmaker/
Source:		http://www.xm1math.net/texmaker/texmaker-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt4-devel, hunspell-devel
BuildRequires:	desktop-file-utils
Requires:	tetex-latex, tetex-dvipost, tetex-xdvi
# Patch to use default Fedora's document viewer and system's hunspell
Patch0:		%{name}-tools.patch

%description
Texmaker is a program, that integrates many tools needed to develop 
documents with LaTeX, in just one application. 
Texmaker runs on unix, macosx and windows systems and is released under the GPL
license

%prep
%setup -q
%patch0 -p0 -b .tools
 
%build
export QTDIR=%{_libdir}/qt4
qmake-qt4 -unix texmaker.pro

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install

install -Dp -m 0644 utilities/texmaker16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/texmaker.png

# Don't package these twice
rm -rf %{buildroot}%{_datadir}/%{name}/{AUTHORS,COPYING,*.desktop,tex*.png}
rm -f %{buildroot}%{_datadir}/applications/texmaker.desktop

desktop-file-install --vendor fedora			\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category Publishing			\
	--remove-category X-SuSE-Core-Office		\
	--remove-category X-Mandriva-Office-Publishing	\
	--remove-category X-Misc			\
	utilities/texmaker.desktop

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %buildroot

%files
%defattr(-, root, root, -)
%doc utilities/AUTHORS utilities/COPYING
%{_bindir}/texmaker
%{_datadir}/texmaker/
%{_datadir}/applications/fedora-texmaker.desktop
%{_datadir}/icons/hicolor/*/apps/texmaker.png
%{_datadir}/pixmaps/texmaker.png
%exclude %{_datadir}/texmaker/*.dic
%exclude %{_datadir}/texmaker/*.aff

%changelog
* Mon Nov 02 2009 Deji Akingunola <dakingun@gmail.com> - 1.9.2-2
- Update with a more complete patch to use system hunspell (Caolan McNamara)

* Fri Sep 25 2009 Deji Akingunola <dakingun@gmail.com> - 1.9.2-1
- Update to 1.9.2

* Tue Jun 16 2009 Deji Akingunola <dakingun@gmail.com> - 1.9.1-1
- Update to 1.9.1

* Thu Nov 20 2008 Deji Akingunola <dakingun@gmail.com> - 1.8-1
- New Release

* Wed Jun 04 2008 Deji Akingunola <dakingun@gmail.com> - 1.7.1-1
- A bug-fix release

* Mon Apr 28 2008 Deji Akingunola <dakingun@gmail.com> - 1.7-1
- New Release

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.6-4
- Rebuild for gcc43

* Sat Aug 18 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-3
- Use xdg-open instead of hardcording apps (bz#245269)

* Mon Aug 06 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-3
- License tag update

* Thu Jun 21 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-2%{?dist}
- Change default dvi viewer back to xdvi, and require tetex-xdvi for it

* Thu Jun 21 2007 Deji Akingunola <dakingun@gmail.com> - 1:1.6-1%{?dist}
- New Release

* Fri Jun 15 2007 Deji Akingunola <dakingun@gmail.com> - 1.5-2
- Fix for crash on x86_64 by Kevin Kofler (BZ #235546)

* Tue Jan 02 2007 Deji Akingunola <dakingun@gmail.com> - 1.5-1
- New release

* Tue Aug 29 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to 1.4
- Add patch by Rex Dieter to enable build with qt4-4.2

* Thu May 25 2006 Deji Akingunola <dakingun@gmail.com> - 1.3-1
- Updated to 1.3 - had to add epoch to facilitate an upgrade
- New version depends on qt4
- Explicitly add tetex-dvips Requires

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.12-4
- Rebuild for Fedora Extras 5

* Fri Oct 28 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-3 
- Buildrequires qt-devel instead of kdelibs-devel
- Fix typos in desktop file patch
- Use use the '-p' option in the install command (Rex Dieter)

* Thu Oct 27 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-2 
- Miscellaneous fixes to the spec files from Fedora Extras review,
  RH bugzilla #171195 (Aurelien Bompard)

* Sat Apr 30 2005 Deji Akingunola <dakingun@gmail.com> - 1.12-1 
- Initial release for Extras
